%global pypi_name django-markdownx

Name:           python-%{pypi_name}
Version:        2.0.28
Release:        1%{?dist}
Summary:        A comprehensive Markdown editor built for Django

License:        BSD
URL:            https://github.com/neutronX/django-markdownx
Source0:        https://files.pythonhosted.org/packages/source/d/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python3-devel
BuildRequires:  python3dist(django)
BuildRequires:  python3dist(markdown)
BuildRequires:  python3dist(pillow)
BuildRequires:  python3dist(pip)
BuildRequires:  python3dist(setuptools)

%description
Django MarkdownX is a comprehensive Markdown plugin built for Django, 
the renowned high-level Python web framework, with flexibility, extensibility, 
and ease-of-use at its core.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
 
Requires:       python3dist(django)
Requires:       python3dist(markdown)
Requires:       python3dist(pillow)
Requires:       python3dist(pip)

%description -n python3-%{pypi_name}
Django MarkdownX is a comprehensive Markdown plugin built for Django, 
the renowned high-level Python web framework, with flexibility, extensibility, 
and ease-of-use at its core.

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/markdownx
%{python3_sitelib}/django_markdownx-%{version}-py?.?.egg-info

%changelog
* Tue Dec 11 2018 Luis Bazan <lbazan@fedoraproject.org> - 2.0.28-1
- Initial release
